> # NAME

> cgGetParameterType - get a program parameter's type

> # SYNOPSIS

>       #include <Cg/cg.h>

>       CGtype cgGetParameterType( CGparameter param );

> # PARAMETERS

> param

>   The parameter.

> # RETURN VALUES

> Returns the type enumerant of param.

> Returns CG_UNKNOWN_TYPE if an error occurs.

> # DESCRIPTION

> cgGetParameterType allows the application to retrieve the type of a parameter in a Cg program. This type is necessary for the application to be able to supply the program's inputs and use the program's outputs.

> cgGetParameterType will return CG_STRUCT if the parameter is a struct and CG_ARRAY if the parameter is an array. Otherwise it will return the data type associated with the parameter.

> # EXAMPLES

> to-be-written

> # ERRORS

> CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

> # HISTORY

> cgGetParameterType was introduced in Cg 1.1.

> # SEE ALSO

> cgGetType, cgGetParameterBaseType, cgGetTypeString, cgGetParameterClass